%% definition of approximation value
function [value] = Avalue ( x )

global points
global rbfrad
global weights

value = 0;
for i=1:size(weights,1)
    delta = sum((points(i,:)-x(:)').^2);
    value = value + exp( -delta/rbfrad)*weights(i);
end

%% author: Anicka Kucerova, Czech Technical University in Prague
%% version 0.0.1
%% 25 Mar 2009