%% CONFIGURATION FILE OF F1 FUNCTION
% dimension of problem
Dim = 1;

% bound for variables
% lower bound
lb = [ 0 ];
% upper bound
ub = [ 1 ];

Domain = [ lb' ub' ];

% put 1, if solution must be inside bounds
% put 0, if solution could be also outside bounds
Return_to_domain = 1;

% name
Name = 'F1';

%name of matlab function
F = @F1;

%name of matlab script specifying what should happen when new beter solution is found, the script can be empty
Feval = @F1eval;

% optimum
opt = -1.12323;

% precision
Prec = -0.01*opt;

% name of outfile

outfile = sprintf('%s_001.out', Name );
runi = 1;
f = fopen(outfile, 'r');
while f~=-1
    fclose( f );
    runi = runi+1;
    outfile = sprintf('%s_%03d.out', Name, runi );
    f = fopen(outfile, 'r');
end

% % data structure containing data used in F
% Valuedata = [];
% 
% % data structure containing data used in Feval
% Evaldata.outfile = outfile;

%% author: Anicka Kucerova, Czech Technical University in Prague
%% version 0.0.3
%% 25 Mar 2009
